Package org.springframework.aop.scope

# Interface ScopedObject

All Superinterfaces:
  `RawTargetAccess`

All Known Implementing Classes:
  `DefaultScopedObject`

public interface ScopedObject extends RawTargetAccess
An AOP introduction interface for scoped objects.

Objects created from the `ScopedProxyFactoryBean` can be cast to this interface, enabling access to the raw target object and programmatic removal of the target object.

Since:
  2.0
Author:
  Rod Johnson, Juergen Hoeller
See Also:
  - `ScopedProxyFactoryBean`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getTargetObject()`
Return the current target object behind this scoped object proxy, in its raw form (as stored in the target scope).
`void`
`removeFromScope()`
Remove this object from its target scope, for example from the backing session.

## Method Details

### getTargetObject

Object getTargetObject()
Return the current target object behind this scoped object proxy, in its raw form (as stored in the target scope).

The raw target object can for example be passed to persistence providers which would not be able to handle the scoped proxy object.

Returns:
  the current target object behind this scoped object proxy

### removeFromScope

void removeFromScope()
Remove this object from its target scope, for example from the backing session.

Note that no further calls may be made to the scoped object afterwards (at least within the current thread, that is, with the exact same target object in the target scope).